%define	major	1
%define	libname	%mklibname %{name} %{major}
%define	devname	%mklibname %{name} -d
%define	oname	openal-soft

Name:		openal
Summary:	3D Sound Library
Version:	1.15.1
Release:	%mkrel 3
License:	LGPLv2
Group:		Sound/Utilities
URL:		http://www.openal.org
Source0:	http://kcat.strangesoft.net/openal-releases/%{oname}-%{version}.tar.bz2

BuildRequires:	portaudio-devel
BuildRequires:	libalsa-devel
BuildRequires:	cmake
BuildRequires:	pulseaudio-devel
BuildRequires:	ffmpeg-devel
Provides:	%{oname} = %{version}-%{release}
Conflicts:	openal1 < 1.7.411-2

%description
OpenAL is a free 3D-audio library, with a programming interface similar
to that of OpenGL.


%package -n	%{libname}
Summary:	Main library for OpenAL, a free 3D sound library
Group:		Sound/Utilities
Requires:	%{name} = %{version}-%{release}

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with OpenAL.


%package -n	%{devname}
Summary:	Headers for developing programs that will use OpenAL
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{oname}-devel = %{version}-%{release}
Obsoletes:	%mklibname %{name} 0 -d
Provides:	%mklibname %{name} 0 -d

%description -n	%{devname}
This package contains the headers that programmers will need to develop
applications which will use OpenAL, a free 3D audio library.


%prep
%setup -q -n %{oname}-%{version}

%build
%cmake -DALSOFT_CONFIG=ON
%make

%install
%makeinstall_std -C build
mkdir -p %{buildroot}/%{_sysconfdir}/%{name}
install -m 0644 alsoftrc.sample %{buildroot}/%{_sysconfdir}/%{name}/alsoft.conf

%files
%dir %{_sysconfdir}/openal
%config(noreplace) %{_sysconfdir}/openal/alsoft.conf
%{_bindir}/alstream
%{_bindir}/allatency
%{_bindir}/alreverb
%{_bindir}/openal-info
%{_bindir}/makehrtf
%{_datadir}/%{name}/alsoftrc.sample

%files -n %{libname}
%{_libdir}/*.so.%{major}*

%files -n %{devname}
%{_includedir}/AL
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/*.so


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.15.1-3.mga3
+ Revision: 361887
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 fwang <fwang> 1.15.1-2.mga3
+ Revision: 341735
- rebuild for new ffmpeg

* Sun Jan 06 2013 luigiwalser <luigiwalser> 1.15.1-1.mga3
+ Revision: 340203
- 1.15.1

* Sun Jan 06 2013 luigiwalser <luigiwalser> 1.15-1.mga3
+ Revision: 339759
- 1.15
- remove upstreamed patch

* Sun Dec 02 2012 kamil <kamil> 1.14-2.mga3
+ Revision: 324638
- update Group: Sound/Utilities
- cleaning

* Sun Aug 19 2012 luigiwalser <luigiwalser> 1.14-1.mga3
+ Revision: 282267
- 1.14
- build with ffmpeg
- fix building with ffmpeg

* Mon Jul 04 2011 ahmad <ahmad> 1.13-1.mga2
+ Revision: 118000
- Update to 1.13

* Mon Jan 24 2011 ahmad <ahmad> 1.12.854-3.mga1
+ Revision: 37864
- imported package openal

